@charset "utf-8";
@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/static/pretendard.min.css");
@import url('https://fonts.googleapis.com/css2?family=Mulish:ital,wght@0,200..1000;1,200..1000&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Playball&display=swap');

/* 폰트 - 티웨이항공 */
@font-face {
    font-family: 'TWayAirFont';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_tway@1.0/twayair.woff') format('woff');
    font-weight: normal;
    font-display: swap;
}

/* 폰트 - KCC임권택체 */
@font-face {
    font-family: 'KccImKwonTaek';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_2202@1.0/KCCImkwontaek.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

.font-signature {
    font-family: 'KccImKwonTaek', cursive !important;
}

/* 루트 색상 설정 */

:root {
    --color-primary: #00AEA7;
}


.sound_only {
    display: none;
}


body {
    font-family: 'Pretendard', sans-serif;
}

/* break-keep, letter-spacing 스타일 */

p,
div,
label,
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: inherit;
    word-break: keep-all;
    overflow-wrap: break-word;
    letter-spacing: -0.02rem;
}


/* span 태그는 상위 태그의 letter-spacing 값을 상속받음 */
span {
    letter-spacing: inherit;
}


/*모바일, 태블릿 뷰에서 lenis 새로고침 중지*/
html,
body {
    overscroll-behavior-y: none;
}

@media (min-width:1024px) {

    html,
    body {
        overscroll-behavior-y: initial;
    }
}


/* 에디터 콘텐츠 내 텍스트, 이미지 정렬 - 에디터에서 설정한 정렬 그대로 반영 */

.editor_content p,
.editor_content div,
#bo_v_con p,
#bo_v_con div {
    text-align: inherit;
    font-family: inherit !important;
}

.editor_content img,
#bo_v_con img {
    display: inline-block;
    max-width: 100%;
    height: auto;
    vertical-align: middle;
}



/* input, select, textarea focus 시 파란색 outline 제거 및 색상 변경 */
input[type="text"]:focus,
input[type="password"]:focus {
    outline: none;
    box-shadow: none;
    border: 1px solid var(--color-primary) !important;
}

input[type="text"]:focus-visible,
input[type="password"]:focus-visible {
    outline: none;
    box-shadow: none;
    border: 1px solid var(--color-primary) !important;
}

select:focus,
select:focus-visible {
    outline: none;
    box-shadow: none;
    border: 1px solid var(--color-primary) !important;
}

textarea:focus,
textarea:focus-visible {
    outline: none !important;
    box-shadow: none;
    border: 1px solid var(--color-primary) !important;
}


/*캡챠 오버라이딩*/
#captcha {
    display: flex;
    flex-direction: row;
    gap: 8px;
    justify-content: center;
    align-items: center;
    position: relative;
}

#captcha .captcha_box {
    color: #000;
}

@media screen and (max-width: 768px) {
    #captcha {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        gap: 8px;
    }

    /* captcha_img는 한 줄 전체를 차지 */
    #captcha_img {
        display: block;
        width: 80% !important;
        margin: 0 auto;
        object-fit: contain;

    }

    /* captcha_key와 captcha_reload를 한 줄로 배치 */
    #captcha_key {
        display: inline-flex;
        align-items: center;
        flex-shrink: 0;
        height: 40px !important;
    }

    #captcha_reload {
        display: inline-flex;
        align-items: center;
        flex-shrink: 0;
    }
}